<template>
    <div v-if="!pendingUserInfo" style="width: 100%;">
        <div v-if="!hasAccess">
            <div class="alert-container">
                <ob-alert
                    text="Ошибка доступа"
                    :hide-close-button="true"
                    theme="danger"/>
            </div>
        </div>
    <!-- Этот файл нужен только для проверки CompositeIndex-->
    <!-- После ненадобности удалить этот файл и сделать RatingMethods файлом index.vue -->
        <rating-methods v-if="hasAccess"/>
    <!-- <composite-index /> -->
    </div>
</template>

<script>
import RatingMethods from './RatingMethods';
// import CompositeIndex from './CompositeIndex';

import ObAlert from "common-components/src/obComponents/obAlert";
import {GET_USER_INFO} from '../../store/modules/bonus_methodologies';

export default {
    components: {
        RatingMethods,
        // CompositeIndex,
        ObAlert
    },
    computed: {
        hasAccess() {
            const userRole = this.$store.getters.getUserRole;
            return (userRole === 'admin' || userRole === 'administrator')
        },
        pendingUserInfo() {
            return !this.$store.getters.getUserInfo;
        }
    },
    async created() {
        await this.$store.dispatch(GET_USER_INFO);
    }
}
</script>

<style lang="scss" scoped>
.alert-container {
    margin-top: 20px;
    padding: 0 15px;
}
</style>